$input v_texcoord0

#include "common.sh"

SAMPLER2D(s_texColor, 0);
SAMPLER2D(s_texAlpha, 1);

uniform vec4 u_color;

void main()
{

	vec3 color = toLinear(texture2D(s_texColor, v_texcoord0).rgb) * toLinear(u_color.rgb);
	float alpha = smoothstep(0.3, 0.7, blur5(s_texAlpha, v_texcoord0, vec2(1.0 / 128.0, 1.0 / 128.0)).a) * u_color.a;

	gl_FragColor = vec4(toGamma(color), alpha);
}
